# ``twisted`.`protocols`.`ftp`.`IReadFile``

interface documentation

`class IReadFile(Interface): (source)`

Known implementations: `twisted.protocols.ftp._FileReader`

View In Hierarchy

A file out of which bytes may be read.

Method | `send` | Produce the contents of the given path to the given consumer. This method may only be invoked once on each provider.

def send(consumer): (source)
Produce the contents of the given path to the given consumer. This method may only be invoked once on each provider.

Parameters
consumer:`IConsumer` | Undocumented
Returns
A Deferred which fires when the file has been consumed completely.